> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/events/tdsevent.md).

# tdsEvent

### Feature description

Subscribe to TDS navigation bar events.

* `navigationAccessoryEvent` — When the navigation bar's accessory button is pressed, the pressed button's `{ id }`is passed. `partner.addAccessoryButton`is used to register the button (partner webview only — not in the public reference).

### Type

```ts
tdsEvent.addEventListener(
  event: "navigationAccessoryEvent",
  args: { onEvent: (data: { id: string }) => void; onError?: (error: Error) => void },
): () => void;
```

**Params**

* `event` — This is the event to subscribe to. Currently there is only `"navigationAccessoryEvent"`(navigation bar accessory button pressed).
* `args.onEvent: (data: { id: string }) => void` — Called together with the pressed button's `id`when the button is pressed.
* `args.onError?: (error: Error) => void` — Called when an error occurs while processing the subscription.

**Response**

Function that unsubscribes `() => void`is returned. When called, the listener is removed.

### Example code

```js
import { tdsEvent } from "@apps-in-toss/web-framework";

const unsubscribe = tdsEvent.addEventListener("navigationAccessoryEvent", {
  onEvent: ({ id }) => {
    if (id === "search") {
      openSearch();
    }
  },
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/events/tdsevent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
